tin (1:2.6.5~20250309-2) unstable; urgency=medium

  * Applied patch fix_null_fclose from the upstream maintainer to fix
    a possible segmentation fault. The bug was introduced in -1.

 -- Marco d'Itri <md@linux.it>  Tue, 11 Mar 2025 00:54:16 +0100

tin (1:2.6.5~20250309-1) unstable; urgency=medium

  * New upstream snapshot. Fixes:
    + Various markup issues in man pages. (Closes: #1096177)

 -- Marco d'Itri <md@linux.it>  Mon, 10 Mar 2025 23:41:30 +0100

tin (1:2.6.5~20250209-1) unstable; urgency=medium

  * New upstream snapshot. Fixes:
    + Various markup issues in man pages. (Closes: #1093395)

 -- Marco d'Itri <md@linux.it>  Sun, 16 Feb 2025 18:38:27 +0100

tin (1:2.6.4-1) unstable; urgency=medium

  * New upstream release. Fixes:
    + Various markup issues in man pages. (Closes: #1089489)

 -- Marco d'Itri <md@linux.it>  Fri, 03 Jan 2025 14:09:16 +0100

tin (1:2.6.4~20241128-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use libidn2 and liburiparser.
  * Use --enable-long-article-numbers.

 -- Marco d'Itri <md@linux.it>  Sun, 01 Dec 2024 19:10:08 +0100

tin (1:2.6.4~20241109-2) unstable; urgency=medium

  * Fix the generated Sender header.

 -- Marco d'Itri <md@linux.it>  Wed, 13 Nov 2024 17:11:28 +0100

tin (1:2.6.4~20241109-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 10 Nov 2024 02:07:44 +0100

tin (1:2.6.4~20241019-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 20 Oct 2024 22:34:05 +0200

tin (1:2.6.4~20240917-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Wed, 18 Sep 2024 22:15:30 +0200

tin (1:2.6.4~20240801-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sat, 03 Aug 2024 10:44:48 +0200

tin (1:2.6.4~20240704-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Fri, 05 Jul 2024 23:12:37 +0200

tin (1:2.6.4~20240531-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sat, 01 Jun 2024 02:00:35 +0200

tin (1:2.6.4~20240430-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Wed, 01 May 2024 22:24:13 +0200

tin (1:2.6.4~20240328-2) unstable; urgency=medium

  * Applied patch 00_msgid_fix from the upstream maintainer to fix
    sorting and interactive passwords. The bug was introduced in -1.

 -- Marco d'Itri <md@linux.it>  Thu, 11 Apr 2024 01:06:42 +0200

tin (1:2.6.4~20240328-1) unstable; urgency=medium

  * New upstream snapshot.
  * Added a dependency on libgsasl-dev to support SASL authentication.

 -- Marco d'Itri <md@linux.it>  Fri, 29 Mar 2024 22:40:30 +0100

tin (1:2.6.4~20240224-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sat, 24 Feb 2024 16:17:45 +0100

tin (1:2.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon, 25 Dec 2023 23:57:15 +0100

tin (1:2.6.3~20231201-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 03 Dec 2023 00:17:55 +0100

tin (1:2.6.3~20231106-2) unstable; urgency=medium

  * Applied patch 00_msgid_fix from the upstream maintainer to fix
    the generated References headers. The bug was introduced in -1.

 -- Marco d'Itri <md@linux.it>  Thu, 09 Nov 2023 11:08:42 +0100

tin (1:2.6.3~20231106-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Wed, 08 Nov 2023 09:01:52 +0100

tin (1:2.6.3~20231002-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Wed, 04 Oct 2023 04:33:32 +0200

tin (1:2.6.3~20230803-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sat, 05 Aug 2023 11:35:45 +0200

tin (1:2.6.3~20230707-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Fri, 07 Jul 2023 23:15:27 +0200

tin (1:2.6.3~20230505-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sat, 06 May 2023 23:27:55 +0200

tin (1:2.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Wed, 28 Dec 2022 02:48:23 +0100

tin (1:2.6.2~20221031-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Wed, 02 Nov 2022 23:01:00 +0100

tin (1:2.6.2~20221013-1) unstable; urgency=medium

  * New upstream snapshot.
  * Switch to pcre2. (Closes: #999941)
  * Add SNNTP support using OpenSSL.

 -- Marco d'Itri <md@linux.it>  Sun, 16 Oct 2022 23:07:52 +0200

tin (1:2.6.2~20220503-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Tue, 17 May 2022 03:54:07 +0200

tin (1:2.6.2~20220318-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 03 Apr 2022 23:44:38 +0200

tin (1:2.6.2~20220129-1) unstable; urgency=medium

  * New upstream snapshot.
  * Applied patch fix_rfc2046 from the upstream maintainer to fix parsing
    of some malformed MIME articles. (Closes: #1005024)
  * Enable (this time for real) all the hardening flags.

 -- Marco d'Itri <md@linux.it>  Sun, 20 Feb 2022 17:32:56 +0100

tin (1:2.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Tue, 28 Dec 2021 00:32:04 +0100

tin (1:2.6.1~20211026-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Fri, 29 Oct 2021 23:45:10 +0200

tin (1:2.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sat, 04 Sep 2021 11:41:27 +0200

tin (1:2.4.6~20210225-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sat, 13 Mar 2021 00:39:33 +0100

tin (1:2.4.5-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 03 Jan 2021 08:07:55 +0100

tin (1:2.4.5~20200522-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sat, 11 Jul 2020 01:47:28 +0200

tin (1:2.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon, 06 Jan 2020 18:42:57 +0100

tin (1:2.4.4~20190307-1) unstable; urgency=medium

  * New upstream snapshot.
  * Switched to libncurses-dev.

 -- Marco d'Itri <md@linux.it>  Mon, 22 Jul 2019 01:56:42 +0200

tin (1:2.4.3-1) unstable; urgency=medium

  * New upstream release. Fixes:
    + not very informative connect error. (Closes: #232924)

 -- Marco d'Itri <md@linux.it>  Sun, 17 Feb 2019 23:41:06 +0100

tin (1:2.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Switched to libcanlock3.

 -- Marco d'Itri <md@linux.it>  Fri, 20 Jul 2018 00:38:43 +0200

tin (1:2.4.1-1) unstable; urgency=medium

  * New upstream release. Fixes:
    + tin -A. (Closes: #849270)

 -- Marco d'Itri <md@linux.it>  Sun, 25 Dec 2016 22:44:05 +0100

tin (1:2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Applied patch pre_2.4.1 with upstream fixes from the future 2.4.1
    release.
  * Dropped debian/cpp_reprtime, since gcc has SOURCE_DATE_EPOCH support
    now (patch by Alexis Bienvenüe). (Closes: #827731)

 -- Marco d'Itri <md@linux.it>  Mon, 31 Oct 2016 00:17:20 +0100

tin (1:2.3.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/cpp_reprtime: set TZ=UTC to fix reproducible builds.

 -- Marco d'Itri <md@linux.it>  Sun, 27 Dec 2015 06:20:32 +0100

tin (1:2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Support reproducible builds.

 -- Marco d'Itri <md@linux.it>  Fri, 27 Mar 2015 06:36:17 +0100

tin (1:2.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sat, 10 May 2014 05:52:20 +0200

tin (1:2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Disable metamail by default. (Closes: #707005)
  * Updated one or more debconf translations. (Closes: #723056)

 -- Marco d'Itri <md@linux.it>  Mon, 30 Dec 2013 05:32:13 +0100

tin (1:2.1.1-1) unstable; urgency=low

  * New upstream release.
  * Enabled debugging support. (Closes: #671170)
  * Switched from libidn to libicu.
  * Updated one or more debconf translations. (Closes: #658462, #668447)

 -- Marco d'Itri <md@linux.it>  Mon, 25 Jun 2012 02:31:17 +0200

tin (1:2.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Fri, 06 Jan 2012 15:04:11 +0100

tin (1:2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Stop asking by default to use metamail, which has been removed from
    Debian.

 -- Marco d'Itri <md@linux.it>  Sun, 04 Sep 2011 11:35:38 +0200

tin (1:2.0.0~20110623-1) unstable; urgency=low

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 26 Jun 2011 01:35:55 +0200

tin (1:1.9.6-1) unstable; urgency=low

  * New upstream release.
    + Correctly postpones articles when the connection to the server
      fails. (Closes: #204254)
  * Stop suggesting metamail, which was removed from Debian. (Closes: #597427)
  * Updated one or more debconf translations. (Closes: #601926, #603210)

 -- Marco d'Itri <md@linux.it>  Sun, 05 Dec 2010 16:55:24 +0100

tin (1:1.9.6~20100522-1) unstable; urgency=low

  * New upstream snapshot.
  * Added complexity to fix a kfreebsd FTBFS. (Closes: #577714)

 -- Marco d'Itri <md@linux.it>  Tue, 01 Jun 2010 00:29:38 +0200

tin (1:1.9.6~20100401-1) unstable; urgency=low

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 11 Apr 2010 16:45:07 +0200

tin (1:1.9.6~20100313-1) unstable; urgency=low

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 14 Mar 2010 01:31:43 +0100

tin (1:1.9.5-1) unstable; urgency=low

  * New upstream release.
    + Adds dead connection detection. (Closes: #534747)
    + Adds support for marking articles as read/unread. (Closes: #541472)
    + Fixes segfaults in feed_articles(). (Closes: #557528)
  * New debconf translation: ru. (Closes: #541764)

 -- Marco d'Itri <md@linux.it>  Thu, 24 Dec 2009 14:40:30 +0100

tin (1:1.9.5~20090720-1) unstable; urgency=low

  * New upstream snapshot. Fixes:
    + CAPABILITIES errors handling. (Closes: #525917, #526646)

 -- Marco d'Itri <md@linux.it>  Mon, 10 Aug 2009 15:33:49 +0200

tin (1:1.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon, 02 Mar 2009 02:52:03 +0100

tin (1:1.9.3+rel-1) unstable; urgency=medium

  * New upstream release.
  * Stop building with -O2 on m68k. (Closes: #478721)
  * Link the package with libuu for yenc support.

 -- Marco d'Itri <md@linux.it>  Mon, 12 May 2008 23:53:26 +0200

tin (1:1.9.3+20080326-1) unstable; urgency=low

  * New upstream snapshot.
  * Source package converted to quilt.
  * Provide an md5sums control file to stop people complaining about a missing
    md5sums control file. (Closes: #439443)

 -- Marco d'Itri <md@linux.it>  Mon, 07 Apr 2008 01:56:44 +0200

tin (1:1.9.2+20070201-1) unstable; urgency=medium

  * New upstream snapshot, only bug fixes.
    + Does not contain the evil RFCs which are not considered worthy for
      Debian anymore. (Closes: #395101)
  * Updated debconf translation: de, ja. (Closes: #396044, #402621)
  * Applied patch fix_capab_loop from the upstream maintainer to fix
    an endless loop when connecting to Typhoon servers.

 -- Marco d'Itri <md@linux.it>  Sun, 25 Feb 2007 20:24:33 +0100

tin (1:1.9.2+20061021-1) unstable; urgency=medium

  * New upstream snapshot.
  * Updated debconf translation: es. (Closes: #385326)

 -- Marco d'Itri <md@linux.it>  Sun, 22 Oct 2006 12:24:14 +0200

tin (1:1.9.2+20060621-1) unstable; urgency=low

  * New upstream snapshot.
    + Fixes generation of by-Message-ID filters. (Closes: #374462)
  * New debconf translation: po. (Closes: #381370)

 -- Marco d'Itri <md@linux.it>  Sun, 20 Aug 2006 00:24:02 +0200

tin (1:1.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sat, 29 Apr 2006 12:29:13 +0200

tin (1:1.8.1-1) unstable; urgency=medium

  * New upstream release.
    + Fixes a bug in the maildir check. (Closes: #347422)

 -- Marco d'Itri <md@linux.it>  Thu, 16 Feb 2006 13:40:50 +0100

tin (1:1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * New debconf translations: sv, cs (Closes: #331596, #345139).
  * Switched from the old built-in libcanlock to the libcanlock2 package.

 -- Marco d'Itri <md@linux.it>  Sat,  7 Jan 2006 10:51:35 +0100

tin (1:1.7.10+20050815-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use -O1 on m68k to work around GCC ICE #323016.
  * New debconf translations: fr, vi (Closes: #322930, #322304).

 -- Marco d'Itri <md@linux.it>  Mon, 15 Aug 2005 20:27:35 +0200

tin (1:1.7.10+20050727-1) unstable; urgency=medium

  * New upstream snapshot. Fixes:
    + display of flowed lines with multibyte characters. (Closes: #317549)
  * New debconf translations: cs (Closes: #312977, #319590).

 -- Marco d'Itri <md@linux.it>  Wed,  3 Aug 2005 17:56:46 +0200

tin (1:1.7.8+20050314-1) unstable; urgency=medium

  * New upstream snapshot. Fixes:
    + i18n-related wrapping in the filter menu. (Closes: #294802)
    + CAPABILITIES. (Closes: #293978)
    + truncates the temporary file before reusing it. (Closes: #275944)
    + Keymap collisions. (Closes: #240916)
  * Improved the debconf question. (Closes: #279500)
  * Fixed a typo in the description. (Closes: #300041)

 -- Marco d'Itri <md@linux.it>  Sun, 20 Mar 2005 18:40:54 +0100

tin (1:1.7.6+rel-1) unstable; urgency=medium

  * New upstream release. Fixes:
    + crash at top level (Closes: #236267)
    + undeclared_charset (Closes: #256867)
    + article loss on editor errors (Closes: #260434)

 -- Marco d'Itri <md@linux.it>  Mon, 23 Aug 2004 19:01:38 +0200

tin (1:1.7.6+20040707-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 11 Jul 2004 14:38:36 +0200

tin (1:1.7.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #253823, #252972)
  * Change the ask_for_metamail default to TRUE. (Closes: #243240)

 -- Marco d'Itri <md@linux.it>  Tue, 15 Jun 2004 12:39:03 +0200

tin (1:1.7.4+rel-1) unstable; urgency=medium

  * New upstream release.
  * Added doc/TODO to the installed documentation. (Closes: #233230)

 -- Marco d'Itri <md@linux.it>  Fri, 27 Feb 2004 16:17:33 +0100

tin (1:1.7.4+20040111-1) unstable; urgency=medium

  * New upstream snapshot.
  * Compiled with libidn11. (Closes: #227310)

 -- Marco d'Itri <md@linux.it>  Tue, 13 Jan 2004 12:14:38 +0100

tin (1:1.7.4+20031226-1) unstable; urgency=medium

  * New upstream snapshot.
  * Converted to DBS.

 -- Marco d'Itri <md@linux.it>  Sat, 27 Dec 2003 15:31:00 +0100

tin (1:1.7.3+20031209-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Thu, 11 Dec 2003 20:32:30 +0100

tin (1:1.7.2+rel-1) unstable; urgency=medium

  * New upstream release.
  * Trap the KEY_RESIZE event. (Closes: #212966)

 -- Marco d'Itri <md@linux.it>  Sat, 15 Nov 2003 17:28:34 +0100

tin (1:1.7.2+20031002-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #211107)
  * Fixed segfault. (Closes: #214405)

 -- Marco d'Itri <md@linux.it>  Sun, 12 Oct 2003 17:59:52 +0200

tin (1:1.7.1+20030906-1) unstable; urgency=medium

  * New upstream snapshot.
  * Reverted libcanlock to 1.x. (Closes: #209204)
  * Added dutch debconf template. (Closes: #208418)

 -- Marco d'Itri <md@linux.it>  Mon,  8 Sep 2003 18:57:33 +0200

tin (1:1.7.1+20030828-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #188052)
  * Added support for /etc/news/organization. (Closes: #205447)
  * Fixed memory deallocation error at exit time on powerpc. (Closes: #200524)
  * Added libcanlock version 2a.

 -- Marco d'Itri <md@linux.it>  Sat, 30 Aug 2003 01:16:48 +0200

tin (1:1.6.1-1) unstable; urgency=low

  * New upstream release.
  * Added french debconf template. (Closes: #199336)
  * Enabled cancel locks support.
  * Enabled slrnface support.

 -- Marco d'Itri <md@linux.it>  Sat, 26 Jul 2003 17:02:14 +0200

tin (1:1.5.19+20030609-2) unstable; urgency=medium

  * Applied patch from <20030610220238.GA3313@akk10.akk.uni-karlsruhe.de>
    to fix the unread articles number. (Closes: #197549)
  * Applied patch from <20030613105514.GA19103@downhill.at.eu.org>
    to fix body search.

 -- Marco d'Itri <md@linux.it>  Mon, 16 Jun 2003 11:10:23 +0200

tin (1:1.5.19+20030609-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #196118, #196558)
  * Now linked with ncursesw. (Closes: #196065)
  * Now compiled with --enable-mh-mail-handling. (Closes: #183293)

 -- Marco d'Itri <md@linux.it>  Sun, 15 Jun 2003 17:16:07 +0200

tin (1:1.5.17+U136-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #139995, #180838, #181234)
  * Remove --disable-append-pid. (Closes: #180295).

 -- Marco d'Itri <md@linux.it>  Sun,  2 Mar 2003 17:14:05 +0100

tin (1:1.5.16+20030122-1) unstable; urgency=medium

  * New upstream snapshot.
  * Set undeclared_charset default value to ISO-8859-1 (Closes: #172277).

 -- Marco d'Itri <md@linux.it>  Thu, 23 Jan 2003 14:35:22 +0100

tin (1:1.5.16+20021120-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #168394).

 -- Marco d'Itri <md@linux.it>  Mon, 25 Nov 2002 02:41:55 +0100

tin (1:1.5.14+20020917-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #153914).

 -- Marco d'Itri <md@linux.it>  Sun, 22 Sep 2002 15:38:58 +0200

tin (1:1.5.13+release-1) unstable; urgency=medium

  * New upstream release.
  * disable_sender set to ON by default (Closes: #151491).

 -- Marco d'Itri <md@linux.it>  Sun,  7 Jul 2002 15:19:10 +0200

tin (1:1.5.13+20020614-1) unstable; urgency=medium

  * New upstream snapshoat
    (Closes: #93107, #139720, #27213, #143424, #145782, #143413).
  * tin now Suggests gpg and ispell, does not Suggests anymore inews.

 -- Marco d'Itri <md@linux.it>  Sun,  2 Jun 2002 04:32:14 +0200

tin (1:1.5.12.20020311-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Mar 2002 02:48:22 +0100

tin (1:1.5.12.20020227-2) unstable; urgency=low

  * Changed to use gpg instead of pgp.

 -- Marco d'Itri <md@linux.it>  Sat,  9 Mar 2002 03:58:12 +0100

tin (1:1.5.12.20020227-1) unstable; urgency=low

  * New maintainer.
  * New upstream snapshot (Closes: #134965, #117228, #105400, #113665, #80259)
    (Closes: #136186, #92396, #94748, #95910, #111531, #99592, #93107, #85274)
    (Closes: #10551, #10680, #50145, #62426, #85011, #89225, #135541, #94712).
  * Removed dependency from metamail.
  * Removed developers documentation from /usr/share/doc/tin/.

 -- Marco d'Itri <md@linux.it>  Fri,  8 Mar 2002 23:34:40 +0100
